## v4l2radio

v4l2radio — Controls a Video4Linux2 radio device

## Properties

gchar * | device | Read / Write
gint | frequency | Read / Write

## Types and Values

struct | GstV4l2Radio

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstV4l2Radio

## Implemented Interfaces

GstV4l2Radio implements GstURIHandler and GstTuner.

## Description

## Synopsis

### Element Information

plugin | video4linux2
author | Alexey Chernov <4ernov@gmail.com>
class | Tuner

### Element Pads

## Functions

## Types and Values

### struct GstV4l2Radio

    struct GstV4l2Radio;

## Property Details

### The `“device”` property

      “device”                   gchar *

Video4Linux2 radio device location.

Flags: Read / Write

Default value: "/dev/radio0"

### The `“frequency”` property

      “frequency”                gint

Station frequency in Hz.

Flags: Read / Write

Allowed values: [87500000,108000000]

Default value: 100000000